Jump to content

[Temas unidos] DNI electrónico en OS X


Recommended Posts

Pues es muy raro, mira a ver si tienes las casillas usar SSL 3.0 y TSL 1.0 desmarcadas. Tienen que estar marcadas.

De todos modos es muy raro que no te cargue el módulo. Yo no tuve problema alguno.

No se... se me ocurre que pruebes dando otro nombre al archivo libaetpkss.dylib, pero conservando la terminación .dylib, a ver que tal.

Como opción más drástica, pues desinstala el firefox y vuelve a instalarlo.

Algo debes tener mal en el ordenador que no funciona.

 

Saludos.

 

Las casillas usar SSL 3.0 y TSL 1.0 están marcadas. Siempre lo han estado.

 

el archivo libaetpkss.dylib no existe en mi ordenador. No sé de dónde lo has sacado. Aunque yo lo pongo por seguir tu consejo. Además, he probado dejando el hueco en blanco y me dice lo mismo. Incluso he puesto este otro que está en el directorio lib de OpenSC: libopensc-dnie.1.0.3.dylib que es la librería a la que apunta el archivo de configuración modificado opensc.conf conforme se indica en un post más atrás.

 

En fin, ya no sé que probar. También he probado en otros equipos y nada.

 

A los que os aparecía el mensaje de que no podíais instalar el módulo, ¿cómo lo habéis resuelto?

 

Insisto en que esto del DNI electrónico debería ir en Soporte Técnico Mac OS X y no en la pecera, pero bueno.

Link to post
Share on other sites
  • Replies 740
  • Created
  • Last Reply

Top Posters In This Topic

Pues es muy raro, mira a ver si tienes las casillas usar SSL 3.0 y TSL 1.0 desmarcadas. Tienen que estar marcadas.

De todos modos es muy raro que no te cargue el módulo. Yo no tuve problema alguno.

No se... se me ocurre que pruebes dando otro nombre al archivo libaetpkss.dylib, pero conservando la terminación .dylib, a ver que tal.

Como opción más drástica, pues desinstala el firefox y vuelve a instalarlo.

Algo debes tener mal en el ordenador que no funciona.

 

Saludos.

 

Yo tampoco puedo instalar el archivo libaetpkss.dylib. Lo busco con spotlight y no aparece. Las casillas están marcadas... Por eso te preguntaba en un mensaje anterior de dónde salía ese archivo.

Link to post
Share on other sites

Pues algo en Firefox no debe funcionar. No es normal que no podais instalar el módulo, y no se se me ocurren más cosas. Lo que si sé es que a mi se me instaló a la primera intentona sin problemas. Además, me sale a la izquierda del panel de dispositivos el nombre que le dí: Safesign Identity Client, y en el panel de la derecha ese mismo nombre y la ruta que le di, que es precisamente el nombre del archivo libaetpkss.dylib.

El caso es que ese archivo lo crea el propio firefox como ruta (path), y yo tampoco lo encuentro con el Spotligh, pero me funciona. De hecho ya he podido presentar a Hacienda con el certificado la declaracion trimestral.

 

Saludos

 

Edito: Probad a ver si se carga el módulo teniendo conectado el lector, y si no pues probar con la tarjeta introcucida.

Edited by Fai
Link to post
Share on other sites
Pues algo en Firefox no debe funcionar. No es normal que no podais instalar el módulo, y no se se me ocurren más cosas. Lo que si sé es que a mi se me instaló a la primera intentona sin problemas. Además, me sale a la izquierda del panel de dispositivos el nombre que le dí: Safesign Identity Client, y en el panel de la derecha ese mismo nombre y la ruta que le di, que es precisamente el nombre del archivo libaetpkss.dylib.

El caso es que ese archivo lo crea el propio firefox como ruta (path), y yo tampoco lo encuentro con el Spotligh, pero me funciona. De hecho ya he podido presentar a Hacienda con el certificado la declaracion trimestral.

 

Saludos

 

Edito: Probad a ver si se carga el módulo teniendo conectado el lector, y si no pues probar con la tarjeta introcucida.

 

Probado con lector conectado con y sin la tarjeta introducida y nada, no se puede instalar el módulo de ninguna de las maneras.

Link to post
Share on other sites
  • 4 weeks later...

Buenas a todos,

 

He encontrado este foro buscando como usar el DNIe desde mi Mac.

Bueno, pues siguiendo las instrucciones de Gonçal (ojo, instalé también los parches CCID que menciona jcdr) lo he conseguido. He entrado en la Agencia Tributaria con mi DNI, y en la página de la Policia me verifica correctamente la conexión con el certificado digital. Lo que parece que no va es Bankinter.

 

Detalle interesante que nadie parece haber comentado. Al arrancar Firefox hay que tener el lector con el DNI conectados. Firefox tarda más en arrancar, y el LED del lector parpadea unos 5 segundos.

 

Por si a alguien le ayuda, yo uso:

 

MacBook Air con Sistema Leopard 10.5.4

Firefox 3.0.1

Lector 'miniLECTOR' de bit4ID

 

Saludos y Gracias a todos (¡Animo Ignatius!)

Link to post
Share on other sites
Hola Ignatius,

 

Para este tipo de trámites, mejor usa Internet Explorer o Firefox, pero sobre Windows (parallels), yo me volví loco para reservar un hotel en USA desde Firefox en MAC, sin embargo desde Firefox WINDOWS, fue todo como la seda.

 

Salu2

Más fácil, que vaya a Safari y ponga de agente de usuario firefox de windows.

A mí Barça TV me dice que no es compatible con mi sistema Macintosh, pongo como agente de usuario el firefox de windows, y no problemo xD

Edited by Jordi_MacBook
Link to post
Share on other sites
  • 1 month later...

Por fin he conseguido que funcione :-)

 

he seguido las instrucciones (Manual de Instalación de OpenSC-CERES versión 1.0) que os podeis descargar desde aquí

 

pagina

 

o del enlace directo

 

instrucciones

 

ahora :angry: el problema es que la pagina donde intento acceder solo admite Internet Explorer 5.5 o superior :(

 

saludos

Link to post
Share on other sites
  • 3 months later...

Hace ya algún tiempo encontré en este foro un hilo sobre la problemática de utilizar los certificados digitales del DNI electrónico en el Mac, y no quedaba resuelto para Leopard, aunque para Tiger sí funcionaba correctamente.

Los de la tarjeta Ceres, sin embargo, funcionaban perfectamente.

Al fin aparece la solución en la página oficial de descargas de software para el uso del DNI electrónico, al encontrarse en ella descargas diferenciadas para Tiger y para Leopard.

He descargado e instalado la de Leopard (utilizo la versión 10.5.6) y ha funcionado a la perfección, a pesar de que me dio el error de "no se ha podido instalar el módulo PK11...", error que no intenté corregir siquiera.

La única sorpresa desagradable fue que a partir de ese momento dejó de funcionar la tarjeta Ceres, pero con un golpe de intuición y suerte (no me pondré flores de conocimientos o experiencia que no tengo) lo arreglé.

En el archivo opensc.conf (que se encuentra en /librería/OpenSC/etc) cambié el orden de la información de las dos tarjetas, que debe quedar así, poniendo en primer lugar a la de Ceres (la instalación del software del DNI electrónico la colocó la última):

 

card_drivers = ceres;

card_driver ceres {

#The location of the driver library

module = /Library/OpenSC/lib/libopensc-ceres.dylib;

}

card_drivers = dnie;

card_driver dnie {

#The location of the driver library

module = /Library/OpenSC/lib/libopensc-dnie.dylib;

}

 

Para evitar problemas de no poder guardar en esa carpeta por falta de privilegios, yo he guardado el archivo modificado en Documentos, y después he usado copiar ítem (de Documentos) y a continuación pegar ítem (en /librería/OpenSC/etc), momento en que te pedirá la contraseña de administrador sin más problemas.

Mi lector de tarjetas está integrado en un teclado Cherry SmartBoard 6744, pero también lo he hecho funcionar todo ahora (antes tampoco iba) con un teclado KBR36 de C3PO.

Espero que esto os sea de ayuda. Felices Fiestas y un próspero Año Nuevo para todos.

 

Ricardo

Link to post
Share on other sites

Hola... Bienvenido a Macuarium, rdelavega... :)

 

 

Esto es lo que se dice, empezar con buen pie. Muchas gracias por compartirlo. :)

 

Lo que si es posible es que te pasen el tema al foro de MacOSX, puesto que esto no es (a mi modo de ver) estrictamente una noticia de actualidad mac, :) aunque si afecta al uso por parte de los maqueros del DNI electrónico.

 

 

Saludos,

 

Manolo

Link to post
Share on other sites
Sería bueno que alguno de los que habéis conseguido echar a andar el DNI electrónico escribiérais un tutorial para torpes, detallado, a ver si conseguimos que esto sea algo asequible a todos. :)

 

Si alguno se anima que lo ponga aquí o que me envíe un privado y subimos un artículo a portada.

 

ese tuttorial para torpes se ha hecho?? he estado buscando pero no lo encuentro.... vaya lio esto del que funcione el DNIE!

un saludo a todos y Feliz Año!!

Link to post
Share on other sites
Pues yo es la primera vez que veo que vale para algo el DNI nuevo... jeje con eso que haces? en plan de k sino pones tu DNI no se enciende el mac?

 

A mi también me interesaría saber qué tipo de cosas se pueden hacer con esto... gracias!

Link to post
Share on other sites

Hola:

 

Hola!

Yo compré mi lector dni en la web que comenta danivalencia, básicamente porque tenía Paypal, y os confirmo que funciona con MAC prefestamente! :)

 

Por cierto, en enlace está mal es www .dnielectronico.eu/comprar_lector_dnie.htm

 

Saludetes!

 

Pues que suerte, porqué el compañero de este tema, está desesperado.

 

Saludos.

Link to post
Share on other sites

A unos les funciona y a otros no. :)

 

Bueno, haciendo unos trámites desde Windows con la AEAT Firefox se ha puesto tontorrón y, siguiendo las indicaciones del soporte de la AEAT (que es una pasada, por cierto. Te contestan prácticamente al instante y siguen contestandote hasta que das con la solución!!) he terminado muy a mi pesar en Explorer.

 

El caso es que les he pedido que me diesen alguna información técnica de por qué de repente a Firefox le ha dado por ahí, y entre otras cosas me han dicho que comprobara lo siguiente:

 

"INSTRUCCIONES PARA LA CORRECTA CONFIGURACIÓN DE MOZILLA FIREFOX

Escriba "about:config" (sin comillas y sin http o www. delante) en la barra de direcciones donde escribe habitualmente las direcciones de las páginas web. Pulse la tecla "Intro" en el teclado y aparecerá un listado en la parte inferior. Sobre éste, aparecerá una línea en blanco con el nombre "Filtro".

 

En este campo escriba la palabra "signed" (también sin comillas) y pulse "Intro" en el teclado de nuevo. La lista habrá quedado reducida a una sola preferencia (signed.applets.codebase_principal_support). A la derecha, debajo de la columna "Valor" aparecerá "false" o "true". Asegúrese de que el valor está en "true" y si aparece "false" haga doble clic encima para que el valor cambie a "true", que es el correcto."

 

Yo lo tenía mal en MacOs, por lo que es posible que ahora funcione correctamente (lo siento, pero por hoy ya he pasado demasiadas horas con el DNIe y hasta mañana no empezaré con las pruebas de nuevo).

 

Espero que sirva y que podamos hacer la guía de una vez.

Link to post
Share on other sites

...Pues nada, un desastre, yo no he conseguido que funcione el DNIe, ni en Tiger ni en Leopard. No consigo montar el módulo en Firefox y sinceramente estoy tan aburrida y tan hasta los "bemoles" que no me voy a extender en contar toooodo lo que he hecho porque a nadie le serviría. Seguramente liaría más el asunto, así que sólo una preguntillas ¿¿cómo desinstalo en LEOPARD el OPENSC?? en Tiger a través de la terminal puedo hacerlo (de hecho lo he llegado a hacer varias veces), pero en Leopard no lo consigo, seguramente porque ya no sé por dónde voy ni que he instalado, ni que no ni ná.

 

Como soy algo cabezona, lo próximo es comprarme otro lector de tarjetas ya que este que compré no tengo muy claro que me funcione con Mac, pero en el momento de ir a comprarlo era el único modelo que había (Chipnet - 39,00 euracos -). En fin que al final me veo solamente utilizándolo en el "güindous". ¡Jopeta!

Link to post
Share on other sites

Hoslas de nuevo, sigo con el tema y sigo sin conseguirlo, al mismo tiempo continuo intentando borrar el OpenSC instalado en el LEOPARD e igualmente sigo sin conseguirlo... fin de semana, incluido viernes, FRUSTRANTE, en fin... con la sentencia "rm /Library/OpenSC/bin/opensc-uninstall" yo misma me deniego el permiso. Please pistas, prometo entre otras muchas cosas ponerme al día con la terminal y su lenguaje, pero por ahora ...

Link to post
Share on other sites
Hoslas de nuevo, sigo con el tema y sigo sin conseguirlo, al mismo tiempo continuo intentando borrar el OpenSC instalado en el LEOPARD e igualmente sigo sin conseguirlo... fin de semana, incluido viernes, FRUSTRANTE, en fin... con la sentencia "rm /Library/OpenSC/bin/opensc-uninstall" yo misma me deniego el permiso. Please pistas, prometo entre otras muchas cosas ponerme al día con la terminal y su lenguaje, pero por ahora ...

 

Te copio de otro hilo cómo lo hice yo, pero si te soy sincero ni yo mismo entiendo muy bien lo que escribimos en ese momento yo y los que estuvimos en el ajo. Todavía no he vuelto a intentar instalarlo en MacOs... ¡me da una pereza! y la verdad es que tengo mil cosas que hacer antes, pero lo haré en algún momento. Por cierto, no deberías de tener que ponerte las pilas con el terminal por culpa del DNI...¡Faltaría más! Yo tengo ganas de pillar de la pechera a los que se han encargado de redactar el manual de usuario... nerds...

Ignatius J.Reilly

Apr 4 2008, 10:24 AM

Para desinstalar OpenSc hay que ejecutar este script, ¿no?:

/Library/OpenSC/bin/dnie-uninstall

 

Pero, ¿cómo se desinstala el DNIe y Ceres?

 

¡Muchas gracias, Solerjes!

solerjes

Apr 4 2008, 10:39 AM

Los "uninstall" se encuentran se encuentran efectivamente en el /bin.

El del dnie, será "noseque dnie uninstall" , el del ceres lo mismo y el del opensc lo mismo. Ten en cuenta que ceres y dnie están basados en opensc, por lo que si ya no encuentras algún uninstall lo habrá hecho alguno de los otros. El caso es que el directorio opensc ya no exista. Por cierto ejecútalos desde terminal con permisos de administrador "sudo -s"

Una muestra de que todo ha ido bien una vez instalado de nuevo es que en "acceso a llaves" aparece "dni electronico" en la lista de llaves, cuando se inserta la tarjeta.

Ignatius J.Reilly

Apr 4 2008, 11:12 AM

Lo siento pero no sé como tengo que escribir lo de sudo -s. Imagino que es sudo (nombre de usuario), pero es que no tengo ni idea de cómo usar el terminal. Bueno, una vez saqué al psicólogo y el tetris.

 

Edito:

Ya lo he conseguido:

sudo /Library/OpenSC/bin/dnie-uninstall (está mal)

El correcto es /library/OpenSC/bin/opensc-unistall

 

Luego te pide el password y listo.

Edited by Ignatius J.Reilly
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.